cairomm: Cairo::Region Class Reference

# Cairo::Region Class Reference

This is a reference-counted object that should be used via Cairo::RefPtr. More...

List of all members.

## Public Types
typedef cairo_region_t | cobject
## Public Member Functions
| Region ()
| Region (const RectangleInt& rectangle)
| Region (cairo_region_t*cobject, bool has_reference=false)
| Create a C++ wrapper for the C instance.
virtual | ~Region ()
RectangleInt | get_extents () const
int | get_num_rectangles () const
RectangleInt | get_rectangle (int nth_rectangle) const
bool | empty () const
RegionOverlap | contains_rectangle (const RectangleInt& rectangle) const
bool | contains_point (int x, int y) const
void | translate (int dx, int dy)
ErrorStatus | subtract (const RefPtr< Region >& other)
ErrorStatus | subtract (const RectangleInt& rectangle)
ErrorStatus | intersect (const RefPtr< Region >& other)
ErrorStatus | intersect (const RectangleInt& rectangle)
ErrorStatus | do_union (const RefPtr< Region >& other)
ErrorStatus | do_union (const RectangleInt& rectangle)
cobject* | cobj ()
const cobject* | cobj () const
void | reference () const
void | unreference () const
## Protected Attributes
cobject* | m_cobject

## Detailed Description

This is a reference-counted object that should be used via Cairo::RefPtr.

## Member Typedef Documentation

typedef cairo_region_t Cairo::Region::cobject

## Constructor & Destructor Documentation

Cairo::Region::Region | ( |  | ) |

Cairo::Region::Region | ( | const RectangleInt& | rectangle | ) | `[explicit]`

Cairo::Region::Region | ( | cairo_region_t * | cobject,
|  | bool | has_reference = `false` |
| ) |  |  | `[explicit]`

Create a C++ wrapper for the C instance.

This C++ instance should then be given to a RefPtr.

Parameters:

  | cobject | The C instance.
  | has_reference | Whether we already have a reference. Otherwise, the constructor will take an extra reference.

virtual Cairo::Region::~Region | ( |  | ) | `[virtual]`

## Member Function Documentation

const cobject* Cairo::Region::cobj | ( |  | ) | const`[inline]`

cobject* Cairo::Region::cobj | ( |  | ) | `[inline]`

bool Cairo::Region::contains_point | ( | int | x,
|  | int | y |
| ) |  |  | const

RegionOverlap Cairo::Region::contains_rectangle | ( | const RectangleInt& | rectangle | ) | const

ErrorStatus Cairo::Region::do_union | ( | const RectangleInt& | rectangle | ) |

ErrorStatus Cairo::Region::do_union | ( | const RefPtr< Region >& | other | ) |

bool Cairo::Region::empty | ( |  | ) | const

RectangleInt Cairo::Region::get_extents | ( |  | ) | const

int Cairo::Region::get_num_rectangles | ( |  | ) | const

RectangleInt Cairo::Region::get_rectangle | ( | int | nth_rectangle | ) | const

ErrorStatus Cairo::Region::intersect | ( | const RectangleInt& | rectangle | ) |

ErrorStatus Cairo::Region::intersect | ( | const RefPtr< Region >& | other | ) |

void Cairo::Region::reference | ( |  | ) | const

ErrorStatus Cairo::Region::subtract | ( | const RectangleInt& | rectangle | ) |

ErrorStatus Cairo::Region::subtract | ( | const RefPtr< Region >& | other | ) |

void Cairo::Region::translate | ( | int | dx,
|  | int | dy |
| ) |  |  |

void Cairo::Region::unreference | ( |  | ) | const

## Member Data Documentation

cobject* Cairo::Region::m_cobject`[protected]`

The documentation for this class was generated from the following file:

- cairomm/region.h